#1647 Greenshot crashed when I went to close the image editor

1.1
pending
nobody
None
fixed
5
2014-06-14
2014-06-12
foow1979
No

SYMPTOMS/CONTEXT:

I had a screenshot open in the editor which I had added a circle and a label to.
It was open for an hour or so on my machine (i forgot about it), when I went to close it Greenshot crashed, but was able to tell me it was going to and provided the info below.

COPY + PASTED GREENSHOT INFO:

Software version: 1.1.7.17-g98c8f59 (64 bit)
.NET runtime version: 4.0.30319.34014+
Time: 2014-06-12 11:26:06 +01:00
OS: Windows 8 (x64) 6.2 build 9200 revision 0
GDI object count: 119
User object count: 99
Surface count: 0
Exception: System.NullReferenceException
Message: Object reference not set to an instance of an object.

Stack:
at Greenshot.Drawing.TextContainer.UpdateFormat()
at Greenshot.Drawing.TextContainer.Draw(Graphics graphics, RenderMode rm)
at Greenshot.Drawing.DrawableContainer.DrawContent(Graphics graphics, Bitmap bmp, RenderMode renderMode, Rectangle clipRectangle)
at Greenshot.Drawing.DrawableContainerList.Draw(Graphics g, Bitmap bitmap, RenderMode renderMode, Rectangle clipRectangle)
at Greenshot.Drawing.Surface.SurfacePaint(Object sender, PaintEventArgs e)
at System.Windows.Forms.Control.PaintWithErrorHandling(PaintEventArgs e, Int16 layer)
at System.Windows.Forms.Control.WmPaint(Message& m)
at System.Windows.Forms.Control.WndProc(Message& m)
at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Configuration dump:
[Core]
Language=en-US
RegionHotkey=PrintScreen
WindowHotkey=Alt + PrintScreen
FullscreenHotkey=Ctrl + PrintScreen
LastregionHotkey=Shift + PrintScreen
IEHotkey=Shift + Ctrl + PrintScreen
IsFirstLaunch=False
Destinations=Picker
ClipboardFormats=PNG,DIB
CaptureMousepointer=True
CaptureWindowsInteractive=False
CaptureDelay=100
ScreenCaptureMode=Auto
ScreenToCapture=1
WindowCaptureMode=Auto
WindowCaptureAllChildLocations=False
DWMBackgroundColor=Transparent
PlayCameraSound=False
ShowTrayNotification=True
OutputFilePath=C:\Users\Andrew\Desktop
OutputFileAllowOverwrite=True
OutputFileFilenamePattern=${capturetime:d"yyyy-MM-dd HH_mm_ss"}-${title}
OutputFileFormat=png
OutputFileReduceColors=False
OutputFileAutoReduceColors=False
OutputFileCopyPathToClipboard=True
OutputFileAsFullpath=C:\Users\Andrew\Documents\Tools\Aerohive\Aerohive eg screenshot - Outlook blocking unsubscribe link.png
OutputFileJpegQuality=80
OutputFilePromptQuality=False
OutputFileIncrementingNumber=1
OutputPrintPromptOptions=True
OutputPrintAllowRotate=False
OutputPrintAllowEnlarge=False
OutputPrintAllowShrink=True
OutputPrintCenter=True
OutputPrintInverted=False
OutputPrintGrayscale=False
OutputPrintMonochrome=False
OutputPrintMonochromeThreshold=127
OutputPrintFooter=True
OutputPrintFooterPattern=${capturetime:d"D"} ${capturetime:d"T"} - ${title}
NotificationSound=default
UseProxy=True
IECapture=True
IEFieldCapture=False
WindowClassesToCheckForIE=AfxFrameOrView70,IMWindowClass
AutoCropDifference=10
IncludePlugins=
ExcludePlugins=
ExcludeDestinations=OneNote
UpdateCheckInterval=1
LastUpdateCheck=06/12/2014 09:27:13
DisableSettings=False
DisableQuickSettings=False
DisableTrayicon=False
HideExpertSettings=False
ThumnailPreview=True
NoGDICaptureForProduct=intellij,idea
NoDWMCaptureForProduct=citrix,ica,client
OptimizeForRDP=False
MinimizeWorkingSetSize=False
WindowCaptureRemoveCorners=True
CheckForUnstable=False
ActiveTitleFixes=Firefox,IE,Chrome
TitleFixMatcher.Firefox= - Mozilla Firefox.
TitleFixMatcher.IE= - (Microsoft|Windows) Internet Explorer.

TitleFixMatcher.Chrome= - Google Chrome.*
TitleFixReplacer.Firefox=
TitleFixReplacer.IE=
TitleFixReplacer.Chrome=
EnableSpecialDIBClipboardReader=True
WindowCornerCutShape=5,3,2,1,1
LeftClickAction=SHOW_CONTEXT_MENU
DoubleClickAction=OPEN_LAST_IN_EXPLORER
ZoomerEnabled=True
MaxMenuItemLength=25
MailApiTo=
MailApiCC=
MailApiBCC=
OptimizePNGCommand=
OptimizePNGCommandArguments="{0}"
LastSaveWithVersion=1.1.7.17
ProcessEXIFOrientation=True

Related

Bugs: #1647

Discussion

  • Robin Krom
    Robin Krom
    2014-06-14

    Hello,

    I believe this was fixed with 1.1.9, which you can download from our website.

    Best wishes,
    Robin

     
  • Robin Krom
    Robin Krom
    2014-06-14

    • status: open --> pending
    • Resolution: none --> fixed
    • Group: 1.0.6 --> 1.1
     
    • foow1979
      foow1979
      2014-06-14

      Hi Robin

      Thanks for letting me know I will get the latest version.

      I really like Greenshot, it's a great program: thanks a lot!!

      Do I need to do anything like close the ticket ?

      Regards

      Andy

      On Saturday, June 14, 2014, Robin Krom apex75@users.sf.net wrote:

      • status: open --> pending
      • Resolution: none --> fixed
      • Group: 1.0.6 --> 1.1
      • Comment:

      Hello,

      I believe this was fixed with 1.1.9, which you can download from our
      website.

      Best wishes,
      Robin


      Status: pending
      Group: 1.1
      Created: Thu Jun 12, 2014 10:38 AM UTC by foow1979
      Last Updated: Thu Jun 12, 2014 10:38 AM UTC
      Owner: nobody

      SYMPTOMS/CONTEXT:

      I had a screenshot open in the editor which I had added a circle and a
      label to.
      It was open for an hour or so on my machine (i forgot about it), when I
      went to close it Greenshot crashed, but was able to tell me it was going to
      and provided the info below.

      COPY + PASTED GREENSHOT INFO:

      Software version: 1.1.7.17-g98c8f59 (64 bit)
      .NET runtime version: 4.0.30319.34014+
      Time: 2014-06-12 11:26:06 +01:00
      OS: Windows 8 (x64) 6.2 build 9200 revision 0
      GDI object count: 119
      User object count: 99
      Surface count: 0
      Exception: System.NullReferenceException
      Message: Object reference not set to an instance of an object.

      Stack:
      at Greenshot.Drawing.TextContainer.UpdateFormat()
      at Greenshot.Drawing.TextContainer.Draw(Graphics graphics, RenderMode rm)
      at Greenshot.Drawing.DrawableContainer.DrawContent(Graphics graphics,
      Bitmap bmp, RenderMode renderMode, Rectangle clipRectangle)
      at Greenshot.Drawing.DrawableContainerList.Draw(Graphics g, Bitmap bitmap,
      RenderMode renderMode, Rectangle clipRectangle)
      at Greenshot.Drawing.Surface.SurfacePaint(Object sender, PaintEventArgs e)
      at System.Windows.Forms.Control.PaintWithErrorHandling(PaintEventArgs e,
      Int16 layer)
      at System.Windows.Forms.Control.WmPaint(Message& m)
      at System.Windows.Forms.Control.WndProc(Message& m)
      at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg,
      IntPtr wparam, IntPtr lparam)

      Configuration dump:
      [Core]
      Language=en-US
      RegionHotkey=PrintScreen
      WindowHotkey=Alt + PrintScreen
      FullscreenHotkey=Ctrl + PrintScreen
      LastregionHotkey=Shift + PrintScreen
      IEHotkey=Shift + Ctrl + PrintScreen
      IsFirstLaunch=False
      Destinations=Picker
      ClipboardFormats=PNG,DIB
      CaptureMousepointer=True
      CaptureWindowsInteractive=False
      CaptureDelay=100
      ScreenCaptureMode=Auto
      ScreenToCapture=1
      WindowCaptureMode=Auto
      WindowCaptureAllChildLocations=False
      DWMBackgroundColor=Transparent
      PlayCameraSound=False
      ShowTrayNotification=True
      OutputFilePath=C:\Users\Andrew\Desktop
      OutputFileAllowOverwrite=True
      OutputFileFilenamePattern=${capturetime:d"yyyy-MM-dd HH_mm_ss"}-${title}
      OutputFileFormat=png
      OutputFileReduceColors=False
      OutputFileAutoReduceColors=False
      OutputFileCopyPathToClipboard=True
      OutputFileAsFullpath=C:\Users\Andrew\Documents\Tools\Aerohive\Aerohive eg
      screenshot - Outlook blocking unsubscribe link.png
      OutputFileJpegQuality=80
      OutputFilePromptQuality=False
      OutputFileIncrementingNumber=1
      OutputPrintPromptOptions=True
      OutputPrintAllowRotate=False
      OutputPrintAllowEnlarge=False
      OutputPrintAllowShrink=True
      OutputPrintCenter=True
      OutputPrintInverted=False
      OutputPrintGrayscale=False
      OutputPrintMonochrome=False
      OutputPrintMonochromeThreshold=127
      OutputPrintFooter=True
      OutputPrintFooterPattern=${capturetime:d"D"} ${capturetime:d"T"} - ${title}
      NotificationSound=default
      UseProxy=True
      IECapture=True
      IEFieldCapture=False
      WindowClassesToCheckForIE=AfxFrameOrView70,IMWindowClass
      AutoCropDifference=10
      IncludePlugins=
      ExcludePlugins=
      ExcludeDestinations=OneNote
      UpdateCheckInterval=1
      LastUpdateCheck=06/12/2014 09:27:13
      DisableSettings=False
      DisableQuickSettings=False
      DisableTrayicon=False
      HideExpertSettings=False
      ThumnailPreview=True
      NoGDICaptureForProduct=intellij,idea
      NoDWMCaptureForProduct=citrix,ica,client
      OptimizeForRDP=False
      MinimizeWorkingSetSize=False
      WindowCaptureRemoveCorners=True
      CheckForUnstable=False
      ActiveTitleFixes=Firefox,IE,Chrome
      TitleFixMatcher.Firefox= - Mozilla Firefox.
      TitleFixMatcher.IE= - (Microsoft|Windows) Internet Explorer.
      TitleFixMatcher.Chrome= - Google Chrome.*
      TitleFixReplacer.Firefox=
      TitleFixReplacer.IE=
      TitleFixReplacer.Chrome=
      EnableSpecialDIBClipboardReader=True
      WindowCornerCutShape=5,3,2,1,1
      LeftClickAction=SHOW_CONTEXT_MENU
      DoubleClickAction=OPEN_LAST_IN_EXPLORER
      ZoomerEnabled=True
      MaxMenuItemLength=25
      MailApiTo=
      MailApiCC=
      MailApiBCC=
      OptimizePNGCommand=
      OptimizePNGCommandArguments="{0}"
      LastSaveWithVersion=1.1.7.17
      ProcessEXIFOrientation=True


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/greenshot/bugs/1647/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1647

      Attachments
  • Robin Krom
    Robin Krom
    2014-06-14

    If the error is cirrently reproducable, than let me know if it really is solved. (Might just be a similar bug)
    Otherwise, just let us know if it happens again.
    I will place this ticket in a pending state and close it in a few weeks or so.

    Best wishes,
    Robin